Bug 623958 - [RFE] Remote configuration parameter value
[RFE] Remote configuration parameter value
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
Development
All Linux
low Severity low
: 1.3
: ---
Assigned To: Robert Rati
Lubos Trilety
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-13 05:29 EDT by Lubos Trilety
Modified: 2010-10-20 07:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2010-08-13 05:29:53 EDT
Description of problem:
Remote configuration tool condor_configure_store accepts only strings for many fields, fields like parameter value, description and type. When the number or boolean value is put on such place (without apostrophes or mark quotas) the tool reports error. Better way will be to retype all those inputs to strings implicitly. 

Version-Release number of selected component (if applicable):
condor-wallaby-tools-3.3-1.el5
wallaby-0.9.2-1.el5

How reproducible:
100%

Steps to Reproduce:
1. create a new parameter NEW_PAR in store
2. try to edit this parameter, fill some number as default value
  e.g.
  --- !Parameter
  name: NEW_PAR
  type: integer
  default: 1
  description: ''
  conflicts: []
  depends: []
  level: 0
  must_change: false
  restart: false
  
Actual results:
tool prints warning message
WARNING: default - Invalid value.  Resetting to pre-edit value

Expected results:
The tool first retypes the input to string and then accepts it successfully

Additional info:
Comment 1 Robert Rati 2010-08-16 15:09:04 EDT
All strings/booleans are casted to the correct type.  Ints are not casted, but instead a warning is printed and the change thrown away.

Fixed in:
condor-wallaby-tools-3.4-2
Comment 2 Lubos Trilety 2010-10-12 07:55:22 EDT
Works fine even with numbers.

Tested with (version):
condor-wallaby-tools-3.6-6

Tested on:
RHEL5 x86_64,i386  - passed

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.